org.apache.avro.perf.test.reflect.jmh_generated

## Class ReflectDoubleArrayTest_TestStateEncode_jmhType_B1

- java.lang.Object
- - org.apache.avro.perf.test.BasicState
  - - org.apache.avro.perf.test.BasicArrayState
    - - org.apache.avro.perf.test.reflect.ReflectDoubleArrayTest.TestStateEncode
      - - org.apache.avro.perf.test.reflect.jmh_generated.ReflectDoubleArrayTest_TestStateEncode_jmhType_B1

Direct Known Subclasses:
  ReflectDoubleArrayTest_TestStateEncode_jmhType_B2

    public class ReflectDoubleArrayTest_TestStateEncode_jmhType_B1
    extends ReflectDoubleArrayTest.TestStateEncode

### Field Summary

### Fields inherited from class org.apache.avro.perf.test.BasicArrayState

`arraySize`

### Fields inherited from class org.apache.avro.perf.test.BasicState

`BATCH_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`ReflectDoubleArrayTest_TestStateEncode_jmhType_B1()`

### Method Summary

### Methods inherited from class org.apache.avro.perf.test.reflect.ReflectDoubleArrayTest.TestStateEncode

`doSetupTrial`

### Methods inherited from class org.apache.avro.perf.test.BasicArrayState

`getArraySize, getBatchSize`

### Methods inherited from class org.apache.avro.perf.test.BasicState

`getNullOutputStream, getRandom, newDecoder, newEncoder, newEncoder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReflectDoubleArrayTest_TestStateEncode_jmhType_B1

    public ReflectDoubleArrayTest_TestStateEncode_jmhType_B1()